Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class VersionedBackingMap.CacheStoreWrapper

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.cache.ReadWriteBackingMap.CacheStoreWrapper
com.tangosol.net.cache.VersionedBackingMap.CacheStoreWrapper`

Enclosing class:
  VersionedBackingMap

      public class VersionedBackingMap.CacheStoreWrapper

extends ReadWriteBackingMap.CacheStoreWrapper

A wrapper around the original CacheStore to allow operations to be overridden and extended.

Author:
  cp 2002.10.22

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.net.cache.ReadWriteBackingMap.CacheStoreWrapper
`ReadWriteBackingMap.CacheStoreWrapper.EraseBundler, ReadWriteBackingMap.CacheStoreWrapper.LoadBundler, ReadWriteBackingMap.CacheStoreWrapper.StoreBundler`

Constructor Summary
`VersionedBackingMap.CacheStoreWrapper(CacheStore store)` Construct a wrapped CacheStore.

Method Summary

Methods inherited from class com.tangosol.net.cache.ReadWriteBackingMap.CacheStoreWrapper
`calculateRequeueDelay, ensureEraseBundler, ensureLoadBundler, ensureStoreBundler, erase, eraseAll, eraseAllInternal, eraseInternal, extractExpiry, formatKeys, getAverageBatchSize, getAverageEraseMillis, getAverageLoadMillis, getAverageStoreMillis, getBinaryEntryStore, getCacheStore, getEraseBundler, getEraseFailures, getEraseMillis, getEraseOps, getLoadBundler, getLoadFailures, getLoadMillis, getLoadOps, getStoreBundler, getStoreFailures, getStoreMillis, getStoreOps, isBinaryEntryStore, isEraseAllSupported, isEraseSupported, isStoreAllSupported, isStoreSupported, load, loadAll, loadAllInternal, loadInternal, onEraseAllFailure, onEraseFailure, onLoadAllFailure, onLoadFailure, onStoreAllFailure, onStoreFailure, replaceInternal, reportUnsupported, requeue, resetStatistics, setEraseAllSupported, setEraseSupported, setStoreAllSupported, setStoreSupported, store, storeAll, storeAllInternal, storeInternal, toString`

Constructor Detail

### VersionedBackingMap.CacheStoreWrapper

    public VersionedBackingMap.CacheStoreWrapper(CacheStore store)

  Construct a wrapped CacheStore.
  Parameters:
    `store` - the CacheStore to wrap

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.